Predict event cumulative incidence
For each request in the list, evaluates the fitted CIF model's cumulative event count at the given time points.
For each request in the list, evaluates the fitted CIF model's cumulative event count at the given time points.
Authorization
SymetryMLAuth HMAC-SHA256 signature-based authentication: requests are signed with
your secret key and sent with the Customer-ID, Sym-date,
Authorization, Content-MD5 and sym-version headers.
See SymetryML REST API Security
for the signature algorithm and a complete example.
In: header
Path Parameters
User/Customer identifier
Project identifier
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/c1/projects/nbra_prj_iris/cif/predictEvent" \ -H "Content-Type: application/json" \ -d '{ "values": [ { "k": 1, "group": "1", "times": [ 0, 100, 200, 300, 400, 500, 600, 700, 800, 900, 1000, 1100 ] }, { "k": 1, "group": "2", "times": [ 0, 100, 200, 300, 400, 500, 600, 700, 800, 900, 1000, 1100 ] } ] }'{ "statusCode": 200, "statusString": "OK", "values": { "cifPredictionList": { "values": [ { "sdfmap": { "1": { "attributeNames": [ "time", "event_1" ], "attributeTypes": [ "C", "C" ], "data": [ [ "0.0", "0" ], [ "100.0", "22" ], [ "200.0", "50" ], [ "300.0", "66" ], [ "400.0", "80" ], [ "500.0", "87" ], [ "600.0", "92" ], [ "700.0", "96" ], [ "800.0", "96" ], [ "900.0", "98" ], [ "1000.0", "98" ], [ "1100.0", "98" ] ] } } }, { "sdfmap": { "2": { "attributeNames": [ "time", "event_1" ], "attributeTypes": [ "C", "C" ], "data": [ [ "0.0", "0" ], [ "100.0", "4" ], [ "200.0", "15" ], [ "300.0", "23" ], [ "400.0", "31" ], [ "500.0", "36" ], [ "600.0", "39" ], [ "700.0", "41" ], [ "800.0", "46" ], [ "900.0", "46" ], [ "1000.0", "46" ], [ "1100.0", "46" ] ] } } } ] } }}Predict at-risk cumulative incidence POST
For each request in the list, evaluates the fitted CIF model's at-risk count and cumulative incidence.
Score projects against a fitted drift calculator POST
The request body is a `DriftCalculatorCalculateContext`. The response's `KSVDMap` field returns one result entry per project passed in `projects`, in the same order, each keyed by `datadrift_pca_result`, `datadrift_pca_threshold`, `datadrift_mahalanobis_result`, and `datadrift_mahalanobis_threshold`.